Skip to content
LLM Router
Gateway API

Models

List all available models in the Edgee AI Gateway

GET/v1/models

Lists the currently available models, and provides basic information about each one such as the owner and availability. Returns only active models.

Authentication is optional. With a valid Gateway API key, results reflect your organization's model/provider blacklists and BYOK-only availability. An invalid supplied key returns 401. No provider query filter is implemented.

List active models. Authentication is optional. With a valid API key, organization model/provider blacklists and BYOK-only availability filter the list. An invalid supplied key returns 401. No provider query filter is implemented; results are not a guarantee that every model is allowed by the key’s model restrictions.

GEThttps://edgee.io/v1/models

Try this endpoint

Configure your request, then run the curl command in your terminal or send it from this page.

Run in your terminal

To filter by your key, optionally set EDGEE_API_KEY to your Gateway API key in your terminal, then copy and run this command. Gateway requests may consume credits.

curl
curl --include --no-buffer --globoff --request GET 'https://edgee.io/v1/models'
Send from browser

Your request is relayed through the Edgee documentation server to the Gateway. Your key is used only for this request and is not stored.

Authentication

Authentication is optional. Supply a valid key to apply your organization’s model availability filters. An invalid supplied key returns 401. Send it as Authorization: Bearer <key> or x-api-key: <key>.

Responses

200List of available models

application/json

objectstringrequired

The object type, which is always `list`.

Values: list
dataarrayrequired

The list of models.

Show schema
idstringrequired

The model identifier, which can be referenced in the API. Format: `{author_id}/{model_id}`.

objectstringrequired

The object type, which is always `model`.

Values: model
createdintegerrequired

The Unix timestamp (in seconds) when the model was created.

owned_bystringrequired

The organization that owns the model.

{
  "object": "list",
  "data": [
    {
      "id": "openai/gpt-5.2",
      "object": "model",
      "created": 1677610602,
      "owned_by": "openai"
    },
    {
      "id": "anthropic/claude-opus-4-6",
      "object": "model",
      "created": 1677610602,
      "owned_by": "anthropic"
    }
  ]
}
401Missing or invalid API credentials.

application/json

OpenAI-shaped Gateway error. Native upstream errors can retain provider-specific details.

errorobjectrequired
Show schema
messagestringrequired

A human-readable error message.

typestringrequired

High-level error category.

codestring

Machine-readable error code, for example unauthorized, invalid_json, bad_model_id, model_disabled, provider_disabled, usage_limit_exceeded, usage_unavailable, provider_error or internal_error. Not an exhaustive enum.

paramstring

Name of the request parameter that caused the error, when applicable.

500Internal processing error.

application/json

OpenAI-shaped Gateway error. Native upstream errors can retain provider-specific details.

errorobjectrequired
Show schema
messagestringrequired

A human-readable error message.

typestringrequired

High-level error category.

codestring

Machine-readable error code, for example unauthorized, invalid_json, bad_model_id, model_disabled, provider_disabled, usage_limit_exceeded, usage_unavailable, provider_error or internal_error. Not an exhaustive enum.

paramstring

Name of the request parameter that caused the error, when applicable.

Download the OpenAPI specification